summaryrefslogtreecommitdiffstats
path: root/development/xalan-j
diff options
context:
space:
mode:
author Robert Allen <slacker@slaphappygeeks.com>2010-05-12 23:28:58 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-12 23:28:58 +0200
commit814736aa851fb5182b55d67aa38fed9f25717b67 (patch)
treedc1323e0fb0cb8390450b55796d5a45d247af8b7 /development/xalan-j
parent9f3f5ab02f3530c81df24b7097e8e60c818ab9d2 (diff)
downloadslackbuilds-814736aa851fb5182b55d67aa38fed9f25717b67.tar.gz
slackbuilds-814736aa851fb5182b55d67aa38fed9f25717b67.tar.xz
development/xalan-j: Added to 12.2 repository
Diffstat (limited to 'development/xalan-j')
-rw-r--r--development/xalan-j/README4
-rw-r--r--development/xalan-j/README.SLACKWARE89
-rw-r--r--development/xalan-j/csh.profile6
-rw-r--r--development/xalan-j/profile.csh.samples3
-rw-r--r--development/xalan-j/profile.sh.samples3
-rw-r--r--development/xalan-j/sh.profile5
-rw-r--r--development/xalan-j/slack-desc19
-rw-r--r--development/xalan-j/xalan-j.SlackBuild82
-rw-r--r--development/xalan-j/xalan-j.info8
-rw-r--r--development/xalan-j/xalanj4
10 files changed, 223 insertions, 0 deletions
diff --git a/development/xalan-j/README b/development/xalan-j/README
new file mode 100644
index 0000000000..65f82f8768
--- /dev/null
+++ b/development/xalan-j/README
@@ -0,0 +1,4 @@
+Slackware package for Xalan-J java XSLT 1.0 processor.
+
+See README.SLACKWARE (also installed to the package documentation
+directory) for setup and usage information.
diff --git a/development/xalan-j/README.SLACKWARE b/development/xalan-j/README.SLACKWARE
new file mode 100644
index 0000000000..897a2b9917
--- /dev/null
+++ b/development/xalan-j/README.SLACKWARE
@@ -0,0 +1,89 @@
+Slackware package for Xalan-J java XSLT 1.0 processor.
+
+Package Build Options
+=====================
+
+This package is built using the '2jars' version of the Xalan-J
+distribution from apache.org. For explanation see:
+ http://xml.apache.org/xalan-j/downloads.html
+This distribution comes with complete API documentation and an
+extensive set of samples.
+
+By default, the build script does not include API documentation or
+samples with the package. However, you may enable either or both
+of those by passing some value other than "no" to APIDOCS and/or
+SAMPLES as appropriate. As an example, the following would cause
+both the api docs and the samples to be included in the package:
+ SAMPLES=yes APIDOCS=blah ./xalanj.SlackBuild
+
+Setting CLASSPATH
+=================
+
+Profile scripts are included with the package, and they should handle
+all needed CLASSPATH setting for you.
+
+For more information see:
+ http://xml.apache.org/xalan-j/getstarted.html
+
+XSLT Transforms
+===============
+
+For full documentation on use see:
+ http://xml.apache.org/xalan-j/commandline.html
+
+Xalan-j is a java application and must be invoked using the java syntax:
+ java org.apache.xalan.xslt.Process -IN foo.xml -XSL foo.xsl -OUT foo.out
+
+For convenience we have included a shell script /usr/bin/xalanj which
+invokes the Xalan-j processor using the same arguments, for example:
+ xalanj -IN foo.xml -XSL foo.xsl -OUT foo.out
+
+
+ Common Options
+
+-XSLTC (use XSLTC for transformation)
+-IN inputXMLURL
+-XSL XSLTransformationURL
+-OUT outputFileName
+-V (Version info)
+-EDUMP [optional filename] (Do stackdump on error.)
+-XML (Use XML formatter and add XML header.)
+-TEXT (Use simple Text formatter.)
+-HTML (Use HTML formatter.)
+-PARAM name expression (Set a stylesheet parameter)
+-MEDIA mediaType (use media attribute to find stylesheet associated with a document)
+-FLAVOR flavorName (Explicitly use s2s=SAX or d2d=DOM to do transform)
+-DIAG (Print overall milliseconds transform took)
+-URIRESOLVER full class name (URIResolver to be used to resolve URIs)
+-ENTITYRESOLVER full class name (EntityResolver to be used to resolve entities)
+-CONTENTHANDLER full class name (ContentHandler to be used to serialize output)
+-SECURE (set the secure processing feature to true)
+
+
+ Options for Xalan-Java Interpretive
+
+-QC (Quiet Pattern Conflicts Warnings)
+-TT (Trace the templates as they are being called)
+-TG (Trace each generation event)
+-TS (Trace each selection event)
+-TTC (Trace the template children as they are being processed)
+-TCLASS (TraceListener class for trace extensions)
+-L (use line numbers for source document)
+-INCREMENTAL (request incremental DTM construction by setting
+ http://xml.apache.org/xalan/features/incremental to true)
+-NOOPTIMIMIZE (request no stylesheet optimization proccessing by setting
+ http://xml.apache.org/xalan/features/optimize to false)
+-RL recursionlimit (assert numeric limit on stylesheet recursion depth)
+
+ Options for Xalan-Java Compiled (XSLTC)
+
+-XO [optional transletName] (assign the name to the generated translet)
+-XD destinationDirectory (specify a destination directory for translet)
+-XJ jarfile (package translet classes into a jar file of name <jarfile>)
+-XP package (specify a package name prefix for all generated translet classes)
+-XN (enable XSL template inlining into one big method)
+-XX (turn on additional debugging message output)
+-XT (use translet to transform if possible)
+
+==============================================================
+Written by: Robert Allen, slacker-at-slaphappygeeks.com
diff --git a/development/xalan-j/csh.profile b/development/xalan-j/csh.profile
new file mode 100644
index 0000000000..e524329b02
--- /dev/null
+++ b/development/xalan-j/csh.profile
@@ -0,0 +1,6 @@
+#!/bin/csh
+setenv CLASSPATH ${CLASSPATH}:/usr/lib/xalan-j/xalan.jar
+setenv CLASSPATH ${CLASSPATH}:/usr/lib/xalan-j/serializer.jar
+setenv CLASSPATH ${CLASSPATH}:/usr/lib/xalan-j/xml-apis.jar
+setenv CLASSPATH ${CLASSPATH}:/usr/lib/xalan-j/xercesImpl.jar
+
diff --git a/development/xalan-j/profile.csh.samples b/development/xalan-j/profile.csh.samples
new file mode 100644
index 0000000000..a469693f58
--- /dev/null
+++ b/development/xalan-j/profile.csh.samples
@@ -0,0 +1,3 @@
+#!/bin/csh
+setenv CLASSPATH ${CLASSPATH}:/usr/share/xalan-j/xalansamples.jar"
+setenv CLASSPATH ${CLASSPATH}:/usr/share/xalan-j/xalanservlet.jar"
diff --git a/development/xalan-j/profile.sh.samples b/development/xalan-j/profile.sh.samples
new file mode 100644
index 0000000000..00113d87a8
--- /dev/null
+++ b/development/xalan-j/profile.sh.samples
@@ -0,0 +1,3 @@
+#!/bin/sh
+export CLASSPATH="${CLASSPATH}:/usr/share/xalan-j/xalansamples.jar"
+export CLASSPATH="${CLASSPATH}:/usr/share/xalan-j/xalanservlet.jar"
diff --git a/development/xalan-j/sh.profile b/development/xalan-j/sh.profile
new file mode 100644
index 0000000000..898752ac6b
--- /dev/null
+++ b/development/xalan-j/sh.profile
@@ -0,0 +1,5 @@
+#!/bin/sh
+export CLASSPATH="${CLASSPATH}:/usr/lib/xalan-j/xalan.jar"
+export CLASSPATH="${CLASSPATH}:/usr/lib/xalan-j/serializer.jar"
+export CLASSPATH="${CLASSPATH}:/usr/lib/xalan-j/xml-apis.jar"
+export CLASSPATH="${CLASSPATH}:/usr/lib/xalan-j/xercesImpl.jar"
diff --git a/development/xalan-j/slack-desc b/development/xalan-j/slack-desc
new file mode 100644
index 0000000000..67d7c56153
--- /dev/null
+++ b/development/xalan-j/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+xalan-j: Xalan-j 2.7.1 Java XSLT Processor
+xalan-j:
+xalan-j: Xalan-Java is an XSLT processor for transforming XML documents into
+xalan-j: HTML, text, or other XML document types.
+xalan-j:
+xalan-j: Homepage: http://xml.apache.org/xalan-j/index.html
+xalan-j:
+xalan-j:
+xalan-j:
+xalan-j:
+xalan-j:
diff --git a/development/xalan-j/xalan-j.SlackBuild b/development/xalan-j/xalan-j.SlackBuild
new file mode 100644
index 0000000000..8ea2848f19
--- /dev/null
+++ b/development/xalan-j/xalan-j.SlackBuild
@@ -0,0 +1,82 @@
+#!/bin/sh
+
+# Copyright 2009 Robert Allen - slacker@slaphappygeeks.com
+# All rights reserved including Creator Endowed Unalienable Rights.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=xalan-j
+VERSION=${VERSION:-2_7_1}
+ARCH=i486
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# Include API docs in package - adds 60MB (default is no)
+APIDOCS=${APIDOCS:-no}
+# Include samples in package - adds 5MB (default is no)
+SAMPLES=${SAMPLES:-no}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/${PRGNAM}_$VERSION-bin-2jars.tar.gz
+cd ${PRGNAM}_${VERSION}
+chown -R root:root .
+
+mkdir -p $PKG/usr/lib/$PRGNAM-$VERSION
+cp -a *.jar $PKG/usr/lib/$PRGNAM-$VERSION
+# Add convenience symlink
+( cd $PKG/usr/lib ; ln -s $PRGNAM-$VERSION $PRGNAM ; )
+
+mkdir -p $PKG/usr/bin
+cat $CWD/xalanj > $PKG/usr/bin/xalanj
+chmod 0755 $PKG/usr/bin/xalanj
+
+# Add profile scripts to set CLASSPATH properly for all users
+# No, we will *not* config() these
+mkdir -p $PKG/etc/profile.d
+cat $CWD/sh.profile > $PKG/etc/profile.d/xalanj.sh
+cat $CWD/csh.profile > $PKG/etc/profile.d/xalanj.csh
+chmod 0755 $PKG/etc/profile.d/*
+
+if [ "$SAMPLES" != "no" ]; then
+ mkdir -p $PKG/usr/share/$PRGNAM
+ cp -a samples $PKG/usr/share/$PRGNAM
+ cat $CWD/profile.sh.samples >> $PKG/etc/profile.d/xalanj.sh
+ cat $CWD/profile.csh.samples >> $PKG/etc/profile.d/xalanj.csh
+fi
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE.txt NOTICE.txt $PKG/usr/doc/$PRGNAM-$VERSION
+[ "$APIDOCS" != "no" ] && cp -a docs $PKG/usr/doc/$PRGNAM-$VERSION/apidocs
+cat $CWD/README.SLACKWARE > $PKG/usr/doc/$PRGNAM-$VERSION/README.SLACKWARE
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -c n -l y $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/development/xalan-j/xalan-j.info b/development/xalan-j/xalan-j.info
new file mode 100644
index 0000000000..20ce09409e
--- /dev/null
+++ b/development/xalan-j/xalan-j.info
@@ -0,0 +1,8 @@
+PRGNAM="xalan-j"
+VERSION="2_7_1"
+HOMEPAGE="http://xml.apache.org/xalan-j/"
+DOWNLOAD="ftp://www.ibiblio.org/pub/mirrors/apache/xml/xalan-j/xalan-j_2_7_1-bin-2jars.tar.gz"
+MD5SUM="3ccda39bcd08b780436dfd2f22fb23d5"
+MAINTAINER="Robert Allen"
+EMAIL="slacker@slaphappygeeks.com"
+APPROVED="rworkman"
diff --git a/development/xalan-j/xalanj b/development/xalan-j/xalanj
new file mode 100644
index 0000000000..d27ec6e999
--- /dev/null
+++ b/development/xalan-j/xalanj
@@ -0,0 +1,4 @@
+#!/bin/sh
+# Invokes Xalan-j java XSLT transform processor
+# The xalan-j jar files must be on your java CLASSPATH
+java org.apache.xalan.xslt.Process $*